Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network207.103.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
207.103.0.0
Broadcast address
207.103.127.255
First usable
207.103.0.1
Last usable
207.103.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
C (default /24)
As numbers
Hex CF670000 · Integer 3479633920 to 3479666687
Reverse DNS zones
0.103.207.in-addr.arpa
1.103.207.in-addr.arpa
2.103.207.in-addr.arpa
3.103.207.in-addr.arpa
4.103.207.in-addr.arpa
5.103.207.in-addr.arpa
6.103.207.in-addr.arpa
7.103.207.in-addr.arpa
8.103.207.in-addr.arpa
9.103.207.in-addr.arpa
10.103.207.in-addr.arpa
11.103.207.in-addr.arpa
12.103.207.in-addr.arpa
13.103.207.in-addr.arpa
14.103.207.in-addr.arpa
15.103.207.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001111.01100111.00000000.00000000207.103.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11001111.01100111.00000000.00000000207.103.0.0
Broadcast11001111.01100111.01111111.11111111207.103.127.255
Split into smaller subnets/24

207.103.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1207.103.0.0/24207.103.0.1 to 207.103.0.254207.103.0.255254
2207.103.1.0/24207.103.1.1 to 207.103.1.254207.103.1.255254
3207.103.2.0/24207.103.2.1 to 207.103.2.254207.103.2.255254
4207.103.3.0/24207.103.3.1 to 207.103.3.254207.103.3.255254
5207.103.4.0/24207.103.4.1 to 207.103.4.254207.103.4.255254
6207.103.5.0/24207.103.5.1 to 207.103.5.254207.103.5.255254
7207.103.6.0/24207.103.6.1 to 207.103.6.254207.103.6.255254
8207.103.7.0/24207.103.7.1 to 207.103.7.254207.103.7.255254
9207.103.8.0/24207.103.8.1 to 207.103.8.254207.103.8.255254
10207.103.9.0/24207.103.9.1 to 207.103.9.254207.103.9.255254
11207.103.10.0/24207.103.10.1 to 207.103.10.254207.103.10.255254
12207.103.11.0/24207.103.11.1 to 207.103.11.254207.103.11.255254
13207.103.12.0/24207.103.12.1 to 207.103.12.254207.103.12.255254
14207.103.13.0/24207.103.13.1 to 207.103.13.254207.103.13.255254
15207.103.14.0/24207.103.14.1 to 207.103.14.254207.103.14.255254
16207.103.15.0/24207.103.15.1 to 207.103.15.254207.103.15.255254
17207.103.16.0/24207.103.16.1 to 207.103.16.254207.103.16.255254
18207.103.17.0/24207.103.17.1 to 207.103.17.254207.103.17.255254
19207.103.18.0/24207.103.18.1 to 207.103.18.254207.103.18.255254
20207.103.19.0/24207.103.19.1 to 207.103.19.254207.103.19.255254
21207.103.20.0/24207.103.20.1 to 207.103.20.254207.103.20.255254
22207.103.21.0/24207.103.21.1 to 207.103.21.254207.103.21.255254
23207.103.22.0/24207.103.22.1 to 207.103.22.254207.103.22.255254
24207.103.23.0/24207.103.23.1 to 207.103.23.254207.103.23.255254
25207.103.24.0/24207.103.24.1 to 207.103.24.254207.103.24.255254
26207.103.25.0/24207.103.25.1 to 207.103.25.254207.103.25.255254
27207.103.26.0/24207.103.26.1 to 207.103.26.254207.103.26.255254
28207.103.27.0/24207.103.27.1 to 207.103.27.254207.103.27.255254
29207.103.28.0/24207.103.28.1 to 207.103.28.254207.103.28.255254
30207.103.29.0/24207.103.29.1 to 207.103.29.254207.103.29.255254
31207.103.30.0/24207.103.30.1 to 207.103.30.254207.103.30.255254
32207.103.31.0/24207.103.31.1 to 207.103.31.254207.103.31.255254
33207.103.32.0/24207.103.32.1 to 207.103.32.254207.103.32.255254
34207.103.33.0/24207.103.33.1 to 207.103.33.254207.103.33.255254
35207.103.34.0/24207.103.34.1 to 207.103.34.254207.103.34.255254
36207.103.35.0/24207.103.35.1 to 207.103.35.254207.103.35.255254
37207.103.36.0/24207.103.36.1 to 207.103.36.254207.103.36.255254
38207.103.37.0/24207.103.37.1 to 207.103.37.254207.103.37.255254
39207.103.38.0/24207.103.38.1 to 207.103.38.254207.103.38.255254
40207.103.39.0/24207.103.39.1 to 207.103.39.254207.103.39.255254
41207.103.40.0/24207.103.40.1 to 207.103.40.254207.103.40.255254
42207.103.41.0/24207.103.41.1 to 207.103.41.254207.103.41.255254
43207.103.42.0/24207.103.42.1 to 207.103.42.254207.103.42.255254
44207.103.43.0/24207.103.43.1 to 207.103.43.254207.103.43.255254
45207.103.44.0/24207.103.44.1 to 207.103.44.254207.103.44.255254
46207.103.45.0/24207.103.45.1 to 207.103.45.254207.103.45.255254
47207.103.46.0/24207.103.46.1 to 207.103.46.254207.103.46.255254
48207.103.47.0/24207.103.47.1 to 207.103.47.254207.103.47.255254
49207.103.48.0/24207.103.48.1 to 207.103.48.254207.103.48.255254
50207.103.49.0/24207.103.49.1 to 207.103.49.254207.103.49.255254
51207.103.50.0/24207.103.50.1 to 207.103.50.254207.103.50.255254
52207.103.51.0/24207.103.51.1 to 207.103.51.254207.103.51.255254
53207.103.52.0/24207.103.52.1 to 207.103.52.254207.103.52.255254
54207.103.53.0/24207.103.53.1 to 207.103.53.254207.103.53.255254
55207.103.54.0/24207.103.54.1 to 207.103.54.254207.103.54.255254
56207.103.55.0/24207.103.55.1 to 207.103.55.254207.103.55.255254
57207.103.56.0/24207.103.56.1 to 207.103.56.254207.103.56.255254
58207.103.57.0/24207.103.57.1 to 207.103.57.254207.103.57.255254
59207.103.58.0/24207.103.58.1 to 207.103.58.254207.103.58.255254
60207.103.59.0/24207.103.59.1 to 207.103.59.254207.103.59.255254
61207.103.60.0/24207.103.60.1 to 207.103.60.254207.103.60.255254
62207.103.61.0/24207.103.61.1 to 207.103.61.254207.103.61.255254
63207.103.62.0/24207.103.62.1 to 207.103.62.254207.103.62.255254
64207.103.63.0/24207.103.63.1 to 207.103.63.254207.103.63.255254
65207.103.64.0/24207.103.64.1 to 207.103.64.254207.103.64.255254
66207.103.65.0/24207.103.65.1 to 207.103.65.254207.103.65.255254
67207.103.66.0/24207.103.66.1 to 207.103.66.254207.103.66.255254
68207.103.67.0/24207.103.67.1 to 207.103.67.254207.103.67.255254
69207.103.68.0/24207.103.68.1 to 207.103.68.254207.103.68.255254
70207.103.69.0/24207.103.69.1 to 207.103.69.254207.103.69.255254
71207.103.70.0/24207.103.70.1 to 207.103.70.254207.103.70.255254
72207.103.71.0/24207.103.71.1 to 207.103.71.254207.103.71.255254
73207.103.72.0/24207.103.72.1 to 207.103.72.254207.103.72.255254
74207.103.73.0/24207.103.73.1 to 207.103.73.254207.103.73.255254
75207.103.74.0/24207.103.74.1 to 207.103.74.254207.103.74.255254
76207.103.75.0/24207.103.75.1 to 207.103.75.254207.103.75.255254
77207.103.76.0/24207.103.76.1 to 207.103.76.254207.103.76.255254
78207.103.77.0/24207.103.77.1 to 207.103.77.254207.103.77.255254
79207.103.78.0/24207.103.78.1 to 207.103.78.254207.103.78.255254
80207.103.79.0/24207.103.79.1 to 207.103.79.254207.103.79.255254
81207.103.80.0/24207.103.80.1 to 207.103.80.254207.103.80.255254
82207.103.81.0/24207.103.81.1 to 207.103.81.254207.103.81.255254
83207.103.82.0/24207.103.82.1 to 207.103.82.254207.103.82.255254
84207.103.83.0/24207.103.83.1 to 207.103.83.254207.103.83.255254
85207.103.84.0/24207.103.84.1 to 207.103.84.254207.103.84.255254
86207.103.85.0/24207.103.85.1 to 207.103.85.254207.103.85.255254
87207.103.86.0/24207.103.86.1 to 207.103.86.254207.103.86.255254
88207.103.87.0/24207.103.87.1 to 207.103.87.254207.103.87.255254
89207.103.88.0/24207.103.88.1 to 207.103.88.254207.103.88.255254
90207.103.89.0/24207.103.89.1 to 207.103.89.254207.103.89.255254
91207.103.90.0/24207.103.90.1 to 207.103.90.254207.103.90.255254
92207.103.91.0/24207.103.91.1 to 207.103.91.254207.103.91.255254
93207.103.92.0/24207.103.92.1 to 207.103.92.254207.103.92.255254
94207.103.93.0/24207.103.93.1 to 207.103.93.254207.103.93.255254
95207.103.94.0/24207.103.94.1 to 207.103.94.254207.103.94.255254
96207.103.95.0/24207.103.95.1 to 207.103.95.254207.103.95.255254
97207.103.96.0/24207.103.96.1 to 207.103.96.254207.103.96.255254
98207.103.97.0/24207.103.97.1 to 207.103.97.254207.103.97.255254
99207.103.98.0/24207.103.98.1 to 207.103.98.254207.103.98.255254
100207.103.99.0/24207.103.99.1 to 207.103.99.254207.103.99.255254
101207.103.100.0/24207.103.100.1 to 207.103.100.254207.103.100.255254
102207.103.101.0/24207.103.101.1 to 207.103.101.254207.103.101.255254
103207.103.102.0/24207.103.102.1 to 207.103.102.254207.103.102.255254
104207.103.103.0/24207.103.103.1 to 207.103.103.254207.103.103.255254
105207.103.104.0/24207.103.104.1 to 207.103.104.254207.103.104.255254
106207.103.105.0/24207.103.105.1 to 207.103.105.254207.103.105.255254
107207.103.106.0/24207.103.106.1 to 207.103.106.254207.103.106.255254
108207.103.107.0/24207.103.107.1 to 207.103.107.254207.103.107.255254
109207.103.108.0/24207.103.108.1 to 207.103.108.254207.103.108.255254
110207.103.109.0/24207.103.109.1 to 207.103.109.254207.103.109.255254
111207.103.110.0/24207.103.110.1 to 207.103.110.254207.103.110.255254
112207.103.111.0/24207.103.111.1 to 207.103.111.254207.103.111.255254
113207.103.112.0/24207.103.112.1 to 207.103.112.254207.103.112.255254
114207.103.113.0/24207.103.113.1 to 207.103.113.254207.103.113.255254
115207.103.114.0/24207.103.114.1 to 207.103.114.254207.103.114.255254
116207.103.115.0/24207.103.115.1 to 207.103.115.254207.103.115.255254
117207.103.116.0/24207.103.116.1 to 207.103.116.254207.103.116.255254
118207.103.117.0/24207.103.117.1 to 207.103.117.254207.103.117.255254
119207.103.118.0/24207.103.118.1 to 207.103.118.254207.103.118.255254
120207.103.119.0/24207.103.119.1 to 207.103.119.254207.103.119.255254
121207.103.120.0/24207.103.120.1 to 207.103.120.254207.103.120.255254
122207.103.121.0/24207.103.121.1 to 207.103.121.254207.103.121.255254
123207.103.122.0/24207.103.122.1 to 207.103.122.254207.103.122.255254
124207.103.123.0/24207.103.123.1 to 207.103.123.254207.103.123.255254
125207.103.124.0/24207.103.124.1 to 207.103.124.254207.103.124.255254
126207.103.125.0/24207.103.125.1 to 207.103.125.254207.103.125.255254
127207.103.126.0/24207.103.126.1 to 207.103.126.254207.103.126.255254
128207.103.127.0/24207.103.127.1 to 207.103.127.254207.103.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses